---
pageClass: rule-details
sidebarDepth: 0
title: vue/keyword-spacing
description: enforce consistent spacing before and after keywords in `<template>`
since: v6.0.0
---
# vue/keyword-spacing

> enforce consistent spacing before and after keywords in `<template>`

- :wrench: The `--fix` option on the [command line](https://eslint.org/docs/user-guide/command-line-interface#fixing-problems) can automatically fix some of the problems reported by this rule.

This rule is the same rule as core [keyword-spacing] rule but it applies to the expressions in `<template>`.

## :books: Further Reading

- [keyword-spacing]

[keyword-spacing]: https://eslint.org/docs/rules/keyword-spacing

## :rocket: Version

This rule was introduced in eslint-plugin-vue v6.0.0

## :mag: Implementation

- [Rule source](https://github.com/vuejs/eslint-plugin-vue/blob/master/lib/rules/keyword-spacing.js)
- [Test source](https://github.com/vuejs/eslint-plugin-vue/blob/master/tests/lib/rules/keyword-spacing.js)

<sup>Taken with ❤️ [from ESLint core](https://eslint.org/docs/rules/keyword-spacing)</sup>
