---
pageClass: rule-details
sidebarDepth: 0
title: vue/space-unary-ops
description: enforce consistent spacing before or after unary operators in `<template>`
since: v5.2.0
---
# vue/space-unary-ops

> enforce consistent spacing before or after unary operators in `<template>`

- :wrench: The `--fix` option on the [command line](https://eslint.org/docs/user-guide/command-line-interface#fixing-problems) can automatically fix some of the problems reported by this rule.

This rule is the same rule as core [space-unary-ops] rule but it applies to the expressions in `<template>`.

## :books: Further Reading

- [space-unary-ops]

[space-unary-ops]: https://eslint.org/docs/rules/space-unary-ops

## :rocket: Version

This rule was introduced in eslint-plugin-vue v5.2.0

## :mag: Implementation

- [Rule source](https://github.com/vuejs/eslint-plugin-vue/blob/master/lib/rules/space-unary-ops.js)
- [Test source](https://github.com/vuejs/eslint-plugin-vue/blob/master/tests/lib/rules/space-unary-ops.js)

<sup>Taken with ❤️ [from ESLint core](https://eslint.org/docs/rules/space-unary-ops)</sup>
