---
pageClass: rule-details
sidebarDepth: 0
title: vue/template-curly-spacing
description: require or disallow spacing around embedded expressions of template strings in `<template>`
since: v7.0.0
---
# vue/template-curly-spacing

> require or disallow spacing around embedded expressions of template strings in `<template>`

- :wrench: The `--fix` option on the [command line](https://eslint.org/docs/user-guide/command-line-interface#fixing-problems) can automatically fix some of the problems reported by this rule.

This rule is the same rule as core [template-curly-spacing] rule but it applies to the expressions in `<template>`.

## :books: Further Reading

- [template-curly-spacing]

[template-curly-spacing]: https://eslint.org/docs/rules/template-curly-spacing

## :rocket: Version

This rule was introduced in eslint-plugin-vue v7.0.0

## :mag: Implementation

- [Rule source](https://github.com/vuejs/eslint-plugin-vue/blob/master/lib/rules/template-curly-spacing.js)
- [Test source](https://github.com/vuejs/eslint-plugin-vue/blob/master/tests/lib/rules/template-curly-spacing.js)

<sup>Taken with ❤️ [from ESLint core](https://eslint.org/docs/rules/template-curly-spacing)</sup>
